
/**
	@defgroup classes Class group
	@{
*/

/**
	@brief Plain base class.
	@details Nothing to see here.
*/
class Plain {};

/**
	@brief Final class (non-inheriting).
	@details This will be described as an "exception"
	in both the group page and its own page.
*/
class PlainFinal final {};

/**
	@brief Final class (inheriting B).
	@details This will also be described as an "exception"
	in both the group page and its own page.
*/
class InheritingFinal final : public B {};

/**
	@brief Final struct (inheriting B).
	@details This somehow is not described as an "exception".
*/
struct InheritingFinalStruct final : public B {};

/** @} */ // end of doc-group classes
